×

Discussion Board

Results 1 to 2 of 2
  1. #1
    Registered User
    Join Date
    Jul 2009
    Posts
    43

    Question Some questions about configuration of Qt Mobiliy

    Hello Friends, I have just configure QtMobility for my project and I have some questions about configurations.
    >First question is, can I use QtMobility and Mobile extension togeather?
    >Is QtMobility can be configured for both Qt 4.6.2 and 4.6.3, but I have single installation of S60 5th Edition. My default compiling version is 4.6.3. I did it but I have doubt about that!
    >I have tried to develop application(up to step 5) on http://www.forum.nokia.com/document/...ion/03_01.html, which is working well on emulator but it's not working on device .
    Generted makefile is as under. Do I need to make any changes to run on device? Both QtMobility and Qt4.6.3 are installed on same drive.

    CONFIG += mobility
    MOBILITY = location

    TEMPLATE = app
    TARGET = LocationAPIExample
    QT += core \
    gui \
    network
    HEADERS += mainwindow.h \
    LocationAPIExample.h
    SOURCES += mainwindow.cpp \
    LocationAPIExample_reg.rss \
    main.cpp \
    LocationAPIExample.cpp
    FORMS += LocationAPIExample.ui
    RESOURCES +=
    symbian:TARGET.UID3 = 0xEA79CE91

    symbian: {
    TARGET.CAPABILITY = NetworkServices \
    Location
    }


    Testing Device: Nokia 5800 Music Express
    Qt Version: Qt 4.6.3
    Qt Mobility Version: symbian-opensource-1.0.1
    S60: 5th EditionSDKv1.0
    Development OS:WIndows XP

    Thank you very much, if some one can help me.

  2. #2
    Nokia Developer Moderator
    Join Date
    Oct 2009
    Posts
    4,326

    Re: Some questions about configuration of Qt Mobiliy

    Quote Originally Posted by smehta_ce View Post
    can I use QtMobility and Mobile extension togeather?
    Mobile extensions should not be used.

    Quote Originally Posted by smehta_ce View Post
    Is QtMobility can be configured for both Qt 4.6.2 and 4.6.3, but I have single installation of S60 5th Edition. My default compiling version is 4.6.3. I did it but I have doubt about that!
    Qt 4.6.2 should not be used.

    Quote Originally Posted by smehta_ce View Post
    Generted makefile is as under. Do I need to make any changes to run on device?
    No, project file is the same for all platforms.

Similar Threads

  1. Questions about XHTML Browsers and Server Configuration
    By pearljem in forum Browsing and Mark-ups
    Replies: 3
    Last Post: 2002-11-20, 08:01
  2. Questions about XHTML Browsers and Server Configuration
    By willawei in forum Browsing and Mark-ups
    Replies: 3
    Last Post: 1970-01-01, 02:00
  3. Questions about XHTML Browsers and Server Configuration
    By willawei in forum Browsing and Mark-ups
    Replies: 3
    Last Post: 1970-01-01, 02:00
  4. Questions about XHTML Browsers and Server Configuration
    By willawei in forum Browsing and Mark-ups
    Replies: 3
    Last Post: 1970-01-01, 02:00

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •